body {
  font-family: Arial;
  margin: 0;
  background: #EFEBE9;
  color: #3E2723;
}


/* NAV */
nav {
  display: flex;
  justify-content: space-between;
  padding: 15px 40px;
  background: #3E2723;
  color: white;
}

nav a {
  color: white;
  margin-left: 15px;
  text-decoration: none;
}

#darkToggle {
    background: #6D4C41;
    border: none;
    color: white;
    padding: 5px 10px;
}

/* HEADER */
header {
    text-align: center;
    padding: 60px 20px;
}

header img {
    border-radius: 50%;
}

/* SECTION */
section {
  padding: 40px;
  max-width: 1000px;
  margin: auto;
  text-align: center;
}

/* EXPERIENCE */
.exp-container {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

.exp-card {
  background: white;
  padding: 20px;
  border-radius: 10px;
  flex: 1;
  min-width: 250px;
}

/* SKILL RADIO */
.radio-inputs {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  background-color: #D7CCC8;
  padding: 10px;
  border-radius: 10px;
  max-width: 500px;
  justify-content: center;
  margin: auto;
}

.radio {
  flex: 1 1 auto;
}

.radio input {
  display: none;
}

.name {
  display: block;
  text-align: center;
  padding: 10px;
  border-radius: 8px;
  background: #6D4C41;
  color: white;
  cursor: pointer;
  transition: 0.3s;
}

.radio input:checked + .name {
  background: white;
  color: #3E2723;
  font-weight: bold;
}

#projects h2 {
  text-align: center;
  margin-bottom: 30px;
}

.project-container {
  display: grid;
  gap: 25px;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
}

/* CARD */
.card {
  position: relative;
  width: 300px;
  height: 200px;
  background-color: #EFEBE9;
  border-radius: 15px;
  overflow: hidden;
  perspective: 1000px;
  box-shadow: 0 5px 15px rgba(62, 39, 35, 0.2);
  transition: 0.4s;
  cursor: pointer;
  
}

.card:hover {
  transform: translateY(-8px) scale(1.03);
}

/* GAMBAR */
.card__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* CONTENT */
.card__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 100%;
  background: #6D4C41;
  color: white;
  padding: 20px;
  transform: rotateX(-90deg);
  transform-origin: bottom;
  transition: 0.5s;
}

.card:hover .card__content {
  transform: rotateX(0);
}

.card__title {
  font-size: 15px;
  font-weight: bold;
}

.card__description {
  margin-top: 10px;
  font-size: 12px;
  text-align: center;
}

.footer p{
  text-align: center;
  justify-content: center;
}

/* DARK MODE */
.dark {
    background: #1c1c1c;
    color: white;
}

.dark .card {
    background: #2a2a2a;
}